---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: sed-discord-bot
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  labels:
    app: sed-discord-bot
spec:
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      prune: true
  project: default
  destination:
    name: in-cluster
    namespace: sed-discord-bot
  source:
    path: manifests
    repoURL: 'https://gitlab.com/sed-infra/apps/sed-discord-bot.git'
    targetRevision: 2.1.1
